Name:      hatop
Version:   0.7.7
Release:   1%{?dist}
Summary:   Interactive ncurses client for the HAProxy TCP/HTTP load balancer
Source0:   http://hatop.googlecode.com/files/hatop-0.7.7.tar.gz
License:   GPLv3
Group:     Applications/System
BuildArch: noarch
Url:       http://feurix.org/projects/hatop/


BuildRequires: python
BuildRequires: python-sphinx

%description
HATop is an interactive ncurses client and real-time monitoring,
statistics displaying tool for the HAProxy TCP/HTTP load balancer.

HATop's appearance is similar to top(1). It supports various modes
for detailed statistics of all configured proxies and services in near
realtime. In addition, it features an interactive CLI for the haproxy
unix socket. This allows administrators to control the given haproxy
instance (change server weight, put servers into maintenance mode, ...)
directly out of hatop and monitor the results immediately.

*It is important to understand that when multiple haproxy processes are started
on the same socket, any process may pick up the request and thus hatop will
output stats owned solely by that process.  The current haproxy-internal
process id is displayed top right.

%package doc
Summary: HTML doc for hatop
Group:   Applications/System

%description doc
HTML doc for hatop

%prep
%setup -qn %{name}-%{version}

%build
gzip -9v man/%{name}.1
pushd doc
make html
popd

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__install} bin/%{name} %{buildroot}%{_bindir}/%{name}
%{__install} man/%{name}.1.gz %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%license LICENSE
%doc CHANGES HACKING INSTALL KEYBINDS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files doc
%license LICENSE
%doc doc/build/*

%changelog
* Tue Jul 05 2016 Didier Fabert <didier.fabert@gmail.com> - 0.7.7-1
- Initial build
